#180 closed defect (fixed)

Patch to remove newlines in asm source strings

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.5
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The latest version of gcc (destined to be released as gcc-3.1) is more picky about newlines in string literals. RTEMS has several of these in assorted asm statements.

Release:
RTEMS-4.5

Environment:
Latest gcc

Attachments (1)

asmPatch (8.2 KB) - added by Eric Norum on Dec 3, 2006 at 1:31:13 PM.
asmPatch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 14, 2002 at 3:06:04 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied.

Changed on Dec 3, 2006 at 1:31:13 PM by Eric Norum

Attachment: asmPatch added

asmPatch

comment:2 Changed on Oct 10, 2017 at 6:41:49 AM by Sebastian Huber

Component: patch - do not useunspecified
Note: See TracTickets for help on using tickets.